<?php
/**
 * @package    db8optionslite
 *
 * @author     Peter Martin <joomla@db8.eu>
 * @copyright  Copyright 2016-2017 by Peter Martin
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 * @link       https://db8.eu
 */

defined('_JEXEC') or die;

// Access check.
if (!JFactory::getUser()->authorise('core.manage', 'com_db8optionslite'))
{
	return JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
}

// Require the helper
require_once JPATH_COMPONENT_ADMINISTRATOR . '/helpers/customsidebar.php';
require_once JPATH_COMPONENT_ADMINISTRATOR . '/helpers/db8optionslite.php';

// Execute the task
$controller = JControllerLegacy::getInstance('db8optionslite');
$controller->execute(JFactory::getApplication()->input->get('task'), 'components');
$controller->redirect();
