<?php
/**
 * @package    db8optionslite
 *
 * @author     Peter Martin <joomla@db8.eu>
 * @copyright  Copyright 2016-2017 by Peter Martin
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 * @link       https://db8.eu
 */

defined('_JEXEC') or die;

class CustomSidebar extends JHtmlSidebar
{

    public static $info = "";

    public static function render()
    {
        // Collect display data
        $data                 = new stdClass;
        $data->list           = static::getEntries();
        $data->filters        = static::getFilters();
        $data->action         = static::getAction();
        $data->displayMenu    = count($data->list);
        $data->displayFilters = count($data->filters);
        $data->hide           = JFactory::getApplication()->input->getBool('hidemainmenu');
        $data->info           = self::$info;

        // Create a layout object and ask it to render the sidebar
        $layout      = new JLayoutFile('components.com_db8optionslite.layouts.submenu', JPATH_ADMINISTRATOR);
        $sidebarHtml = $layout->render($data);

        return $sidebarHtml;
    }
}