<?php
/**
 * @package    db8optionslite
 *
 * @author     Peter Martin <joomla@db8.eu>
 * @copyright  Copyright 2016-2017 by Peter Martin
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 * @link       https://db8.eu
 */

defined('_JEXEC') or die;

JFormHelper::loadFieldClass('list');

JLoader::register('Db8optionsliteHelper', JPATH_ADMINISTRATOR . '/components/com_db8optionslite/helpers/db8optionslite.php');

class JFormFieldFolder extends JFormFieldList
{
	protected $type = 'Folder';

	public function getOptions()
	{
		$options = Db8optionsliteHelper::getExtensionFolders();

		return array_merge(parent::getOptions(), $options);
	}
}
