<?php
/**
 * @package    db8optionslite
 *
 * @author     Peter Martin <joomla@db8.eu>
 * @copyright  Copyright 2016-2017 by Peter Martin
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 * @link       https://db8.eu
 */

defined('_JEXEC') or die;
?>

<div id="j-sidebar-container" class="span2">
	<?php echo $this->sidebar; ?>
</div>
<div id="j-main-container" class="span10">

<style>
    div.icon {
        text-align: center;
        margin-right: 5px;
        float: left;
        margin-bottom: 5px;
        font-size: .9em;
    }

    div.icon span {
        display: block;
        text-align: center;
        margin-top: 10px;
        //width: 14px;
        height: 14px;
        margin-right: .25em;
        line-height: 14px;
    }

    .icon-large {
        font-size: 3em;
        width: 3em!important;
        height: 1em!important;
    }

    div.icon a {
        padding: 18px 18px 5px;
        font-size: 9pt;
        background-color: #fff;
        background-position: -30px;
        display: block;
        float: left;
        height: 90px;
        width: 75pt;
        color: #565656;
        text-decoration: none;
        border: 1px solid #CCC;
        border-radius: 2px;
        transition-property: none;
    }
    .table td.middle, .table th.middle, div.icon a {
        vertical-align: middle;
    }

    div.icon span {
        display: block;
        text-align: center;
        margin-top: 10px;
    }

    div.icon a:active, div.icon a:focus, div.icon a:hover {
        background-position: 0;
        -webkit-border-bottom-left-radius: inherit;
        -moz-border-radius-bottomleft: inherit;
        border-bottom-left-radius: inherit;
        position: relative;
        z-index: 10;
        text-decoration: none;
        color: #fff;
        background-color: #2d6ca2;
        text-shadow: none;
    }
</style>

    <div class="span10">
    <h1><?php echo JText::_('COM_DB8OPTIONSLITE'); ?></h1>
            <a href="index.php?option=com_db8optionslite&view=components">
                <img src="components/com_db8optionslite/views/dashboard/tmpl/options-manager-lite-250px.png" height="250" width="250" alt="Options Manager">
            </a>
        <br><br>
    </div>

    <div class="span10">
        <h2><?php echo JText::_('COM_DB8OPTIONSLITE_DASHBOARD_EXPORTIMPORT'); ?></h2>
    </div>

    <div class="span10">

        <div class="icon">
            <a href="index.php?option=com_db8optionslite&view=components">
                <span class="icon-large icon-options install"></span>
                <span><?php echo JText::_('COM_DB8OPTIONSLITE_MENU_COMPONENTS');?></span>
            </a>
        </div>

        <div class="icon disabled">
            <a href="index.php?option=com_db8optionslite&view=liteversion">
                <span class="icon-large icon-power-cord plugin"></span>
                <span><?php echo JText::_('COM_DB8OPTIONSLITE_MENU_PLUGINS');?></span>
            </a>
        </div>

        <div class="icon disabled">
            <a href="index.php?option=com_db8optionslite&view=liteversion">
                <span class="icon-large icon-cube module"></span>
                <span><?php echo JText::_('COM_DB8OPTIONSLITE_MENU_MODULES');?></span>
            </a>
        </div>

        <div class="icon disabled">
            <a href="index.php?option=com_db8optionslite&view=liteversion">
                <span class="icon-large icon-eye thememanager"></span>
                <span><?php echo JText::_('COM_DB8OPTIONSLITE_MENU_TEMPLATES');?></span>
            </a>
        </div>
    </div>

    <div class="span10">
        <h2><?php echo JText::_('COM_DB8OPTIONSLITE_DASHBOARD_OTHER'); ?></h2>
    </div>

    <div class="span10">
        <div class="icon">
            <a href="index.php?option=com_db8optionslite&view=menuitems">
                <span class="icon-large icon-list menumgr"></span>
                <span><?php echo JText::_('COM_DB8OPTIONSLITE_MENU_MENUITEMS');?></span>
            </a>
        </div>

        <div class="icon">
            <a href="index.php?option=com_db8optionslite&view=about">
                <span class="icon-large icon-info-2 systeminfo"></span>
                <span><?php echo JText::_('COM_DB8OPTIONSLITE_MENU_ABOUT');?></span>
            </a>
        </div>

    </div>

    <div class="span10"><?php echo JText::_('COM_DB8OPTIONSLITE_DASHBOARD_COPYRIGHT'); ?></div>